<app-navbar></app-navbar>
<!-- <section class="section-products d-sm-block d-md-block d-lg-block pt-5">

    <div class="container p-0">
        
        <div class="row">

            <div class="col-lg-3 col-md-3 col-sm-4 col-6" *ngFor="let promo of  allPromocodes">
                <div class="single-product s-p">
                    <div *ngIf="promo.products_rec.length != 0;else other_content">
                        <img class="mw-100" src="{{baseurl}}static/public/{{promo.products_rec[0].images[0]}}">
                    </div>
                    <ng-template #other_content>
                        <img class="mw-100"
                            src="https://upload.wikimedia.org/wikipedia/commons/thumb/d/d1/Image_not_available.png/640px-Image_not_available.png">
                    </ng-template>
                    <div class="part-2">
                        <div class="product-detail1">
                            <p class="mb-1" *ngFor="let single of promo.products_rec">
                                <a class="ankr-nam" routerLink="/view-product/{{single._id}}"><small>
                                        {{single.title}}
                                    </small></a>
                            </p>
                            <h2 class="mb-0">{{promo.name}}</h2>
                            <div class="text-center">
                                <button class="voir" (click)="showCode()">
                                    <span *ngIf="codeVisble">Voir le code</span>
                                    <span [hidden]="codeVisble">{{promo.code}} <i class="fa fa-copy"></i></span>
                                </button>

                            </div>
                        </div>
                    </div>
                </div>
            </div>








        </div>


    </div>
</section> -->

<section class="section-products d-sm-block d-md-block d-lg-block pt-5">

    <div class="container p-0" *ngIf="allPromocodes">

        <div class="row" *ngIf="allPromocodes.length > 0; else nopromo">
            <div *ngFor="let promo of  allPromocodes">
                <div class="">
                    <div class="main-product">
                        <div class="single-product s-p" *ngFor="let single of promo.products_rec; let i=index">
                            <div *ngIf="single.images.length != 0;else other_content">
                                <img class="mw-100" src="{{baseurl}}static/public/{{single.images[0]}}">
                            </div>
                            <ng-template #other_content>
                                <img class="mw-100" src="./assets/build/img/nopro2.png">
                            </ng-template>
                            <div class="part-2">
                                <div class="product-detail1">

                                    <h3 class="title"><a>{{single.title}}</a></h3>
                                    <div class="ra-ting-spn" style="cursor: not-allowed !important;position: relative;
                                   z-index: 1;">
                                        <ngb-rating [max]=5 [(rate)]="single.avgRating"></ngb-rating>
                                        <span class="value" *ngIf="single.reviews">({{single.reviews.length}}) </span>
                                    </div>

                                    <div class="text-center">
                                        <button class="voir" (click)="showCode(i)">
                                            <!-- <span *ngIf="codeVisble">Voir le code</span> -->
                                            <span [hidden]="codeVisble" *ngIf="myval == i ">{{promo.code}} &nbsp;<i class="fa fa-copy" (click)="copyText(promo.code)" ></i></span>
                                           
                                            <span *ngIf="codeVisble || myval != i ">Voir le code</span>
                                           
                                            
                                        </button>

                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>











        </div>
        <ng-template #nopromo>
            <div class="container">
                <div class="screen-mtb-50">
                    <div class="row">
                        <div class="col-lg-8 col-md-8 col-sm-12 col-12 m-a mob-canter">
                            <div class="row">
    
                                <div class="col-lg-12 col-sm-12 col-md-12 col-12 a-s-c text-center">
                                    <img class="mw-100" src="./assets/build/img/promo1.png" width="180" />
                                    <h2 class="f-w-600 mt-3">Aucun code promotionnel disponible</h2>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </ng-template>


    </div>
</section>

<app-footer></app-footer>